org.apache.tinkerpop.gremlin.structure

## Class Graph.Exceptions

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.Graph.Exceptions

- Enclosing interface:
    Graph

      public static class Graph.Exceptions
      extends Object

  Common exceptions to use with a graph.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exceptions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IllegalArgumentException` | `argumentCanNotBeNull(String argument)`
    `static IllegalArgumentException` | `edgeWithIdAlreadyExists(Object id)`
    `static NoSuchElementException` | `elementNotFound(Class<? extends Element> elementClass, Object id)` Deprecated.
    `static NoSuchElementException` | `elementNotFound(Class<? extends Element> elementClass, Object id, Exception rootCause)` Deprecated.
    `static UnsupportedOperationException` | `graphComputerNotSupported()`
    `static IllegalArgumentException` | `graphDoesNotSupportProvidedGraphComputer(Class graphComputerClass)`
    `static IllegalArgumentException` | `idArgsMustBeEitherIdOrElement()`
    `static UnsupportedOperationException` | `transactionsNotSupported()`
    `static IllegalArgumentException` | `traversalEngineNotSupported(TraversalEngine engine)` Deprecated.
    `static UnsupportedOperationException` | `variablesNotSupported()`
    `static UnsupportedOperationException` | `vertexAdditionsNotSupported()`
    `static IllegalArgumentException` | `vertexWithIdAlreadyExists(Object id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Exceptions

          public Exceptions()

  - ### Method Detail

    - #### variablesNotSupported

          public static UnsupportedOperationException variablesNotSupported()

    - #### transactionsNotSupported

          public static UnsupportedOperationException transactionsNotSupported()

    - #### graphComputerNotSupported

          public static UnsupportedOperationException graphComputerNotSupported()

    - #### traversalEngineNotSupported

          @Deprecated
          public static IllegalArgumentException traversalEngineNotSupported(TraversalEngine engine)

      Deprecated.

    - #### graphDoesNotSupportProvidedGraphComputer

          public static IllegalArgumentException graphDoesNotSupportProvidedGraphComputer(Class graphComputerClass)

    - #### vertexAdditionsNotSupported

          public static UnsupportedOperationException vertexAdditionsNotSupported()

    - #### vertexWithIdAlreadyExists

          public static IllegalArgumentException vertexWithIdAlreadyExists(Object id)

    - #### edgeWithIdAlreadyExists

          public static IllegalArgumentException edgeWithIdAlreadyExists(Object id)

    - #### idArgsMustBeEitherIdOrElement

          public static IllegalArgumentException idArgsMustBeEitherIdOrElement()

    - #### argumentCanNotBeNull

          public static IllegalArgumentException argumentCanNotBeNull(String argument)

    - #### elementNotFound

          @Deprecated
          public static NoSuchElementException elementNotFound(Class<? extends Element> elementClass,
                                                                           Object id)

      Deprecated.
      Deprecated as of 3.2.3, not replaced.
      See Also:
        TINKERPOP-944

    - #### elementNotFound

          @Deprecated
          public static NoSuchElementException elementNotFound(Class<? extends Element> elementClass,
                                                                           Object id,
                                                                           Exception rootCause)

      Deprecated.
      Deprecated as of 3.2.3, not replaced.
      See Also:
        TINKERPOP-944

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.